Subject: Re: [bitcoin-dev] BIP Draft Submission

From: Billy Tetrud <[email-masked]>
Date: Sat, 5 Mar 2022 13:13:27 -0600

If you're serious about this, you should write up considerations around
using the satoshi as a unit. That unit has none of the problems you
describe. Satoshis is already a well accepted unit, and is likely to be a
very practical one that might match within an order of magnitude of (the
current buying power of) US cents.

> this BIP is a consensus change around the display of Bitcoin wallet
balances

Fyi, this is not something that's considered a "consensus change", which is
something that affects the validity of a block.

On Fri, Mar 4, 2022, 09:19 Asher Hopp via bitcoin-dev <
[email-masked]> wrote:

> This is my first time submitting anything to this mailer list, so I am
> here with humility and I would appreciate any feedback about any aspect of
> my BIP draft submission below. If you want to reach out to me directly you
> can email me at [email-masked].
>
> Abstract
> Rather than having a maximum supply of 21 million Bitcoin, there should be
> a maximum supply of 21 trillion Bitcoin. This can be accomplished by moving
> the decimal place 6 places to the right of where it is today, while
> reserving two degrees of accuracy after the decimal point.
>
> Copyright
> This BIP is under the Creative Commons Zero (CC0) license.
>
> Background
> On February 6th, 2010 Satoshi Nakamoto responded to a bitcointalk forum
> discussion about the divisibility and economics of bitcoin as a global
> currency. Satoshi chimed in to the conversation when two ideas formed:
> 1. Bitcoin is so scarce that a perception may exist that there is not
> enough to go around – there is not even 1 Bitcoin available per person on
> Earth.
> 2. If Bitcoin’s value continues to deflate against inflating fiat
> currencies, Bitcoin transactions may become smaller and smaller, requiring
> the potentially tedious use of many leading 0’s after the decimal point.
>
> Satoshi’s suggested response to these issues was a software update to
> change where the decimal place and commas are displayed when software
> interprets a Bitcoin wallet’s balance: “If it gets tiresome working with
> small numbers, we could change where the display shows the decimal point.
> Same amount of money, just different convention for where the ","'s and
> "."'s go.  e.g. moving the decimal place 3 places would mean if you had
> 1.00000 before, now it shows it as 1,000.00.” (
> https://bitcointalk.org/index.php?topic=44.msg267#msg267)
>
> Since 2010, when Satoshi wrote that post Bitcoin has indeed become a
> globally adopted currency, the dollar has inflated significantly, and
> Bitcoin has deflated. There are many debates in the Bitcoin community
> concerning the nomenclature of Bitcoin’s atomic unit (satoshis, sats, bits,
> bitcents, mbits, etc). The debate has somewhat spiraled out of control, and
> there is no clearly emerging community consensus. Additionally this issue
> impacts the technology world outside of Bitcoin because there are several
> proposals for various Unicode characters which factions of the Bitcoin
> community have started using to represent the atomic Bitcoin unit despite
> no formalized consensus.  Therefore The conditions are right to move
> forward with Satoshi's vision and move the decimal place.
>
> Details
> There are several benefits to moving the decimal 6 places to the right in
> Bitcoin wallet balance notation:
> 1. Unit bias. It is a widely held belief that Bitcoin’s adoption may be
> hindered because would-be participants have a negative perception of
> Bitcoin’s unit size. One Bitcoin so expensive, and some people may be
> turned off by the idea of only owning a fraction of a unit.
> 2. Community cohesion. The Bitcoin community is deeply divided by various
> proposed atomic unit names, but if this BIP is adopted there is no need to
> debate nomenclature for the Bitcoin atomic unit. Bitcoin software providers
> can simply continue using the Bitcoin Unicode character (₿, U+20BF), and
> there are no additional unicode characters required.
> 3. Simplicity and standardization. Bitcoin has no borders and is used by
> people in just about every corner of the world. Other than the name Bitcoin
> and the Unicode character we have, there is no consensus around other
> notations for Bitcoin as a currency. Rather than introducing new concepts
> for people to learn, this BIP allows Bitcoin to grow under a single
> standardized unit specification, with a single standard unit name, unit
> size, and unit Unicode character.
>
> There is only one drawback I can identify with this BIP, and it is purely
> psychological. Moving the decimal place may produce bad optics in the
> short-term, and Bitcoin’s detractors will likely seize the opportunity to
> spread misinformation that moving the decimal place changes the monetary
> value of anyone’s Bitcoin. It is important to note that if this BIP were to
> gain consensus approval, the community would need to prepare talking points
> and coordinate educational outreach efforts to explain to Bitcoin users and
> wallet developers that this change does not change the proportion of the
> total value of Bitcoin any particular wallet holds, and is simply a
> notational change. There are no “winners” and no “losers” in this BIP – all
> Bitcoin participants would be impacted in an equal and proportionate manner
> on pari passu terms, and there is no change to Bitcoin’s monetary policy.
>
> Implementation
> The software updates needed to implement this BIP are restricted to the
> wallet's CLI/GUI configuration, and only involve changing the location of
> the decimal point and commas when viewing balances or reviewing transaction
> data. Each wallet provider including Bitcoin Core would simply need to
> update the display of a wallet’s balance by moving the decimal place 6
> places to the right.
>
> Compatibility
> Because this BIP is a consensus change around the display of Bitcoin
> wallet balances and transaction amounts, everything will be backwards
> compatible with previous versions of Bitcoin. There would be no
> interruption in services for Bitcoin wallets which do not implement this
> BIP, however there could conceivably be human error problems with
> miscommunication between counterparties after this BIP is implemented. I
> believe this risk is extremely minimal because an error of 6 decimal places
> is so significant that it should be immediately noticed by any two parties
> conducting a transaction.
>
> Cheers,
> Asher
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>